package com.xiaqiuchu.api.controller;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.util.Map;
import org.springframework.web.bind.annotation.RequestHeader;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;


@RequestMapping("/index")
@RestController
public class IndexController {
    
    // 公开界面
    @GetMapping("/index")
    public String index() {
        return Thread.currentThread() .getStackTrace()[1].getMethodName();
    }

    // 登录界面
    @GetMapping("/login")
    public String login() {
        return Thread.currentThread() .getStackTrace()[1].getMethodName();
    }

    // 管理员页面（需要登录）
    @GetMapping("/admin")
    public String admin() {
        return Thread.currentThread() .getStackTrace()[1].getMethodName();
    }
    /**
     * 管理员详情（注解方式，需要登录，需要具有指定角色才可访问，如：admin、user等）
     */
    @RequiresRoles("admin")
    @GetMapping("info")
    public String info() {
        return Thread.currentThread() .getStackTrace()[1].getMethodName();
    }

    /**
     * 权限字符串方式
     */
    @RequiresPermissions("admin:add")
    @GetMapping("role")
    public String role() {
        return Thread.currentThread() .getStackTrace()[1].getMethodName();
    }

    /**
     * 未授权重定向为本页面
     */
    @GetMapping("unauthorized")
    public String unauthorized() {
        return Thread.currentThread() .getStackTrace()[1].getMethodName();
    }
    
}
