package com.xiaqiuchu.common.config.shiro;

import java.util.HashMap;

import javax.annotation.Resource;

import org.junit.jupiter.api.Test;
import org.springframework.boot.SpringBootConfiguration;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.annotation.ComponentScan;

import cn.hutool.jwt.JWT;

// 加上以后加载其他包的配置
@SpringBootConfiguration
@ComponentScan(value = {"com.xiaqiuchu.common", "com.xiaqiuchu.api"})
// 这个别忘了。
@SpringBootTest
public class ShiroJwtUtilTest {
    @Resource
    ShiroJwtUtil shiroJwtUtil;
    @Test
    void testCreateToken() {
        String token = shiroJwtUtil.createToken(new HashMap<String, Object>(){{
            put("id", "1");
            put("name", "张三");
        }});
        System.out.println(token);
    }

    @Test
    void testParseToken() {
        String token = "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJuYW1lIjoi5byg5LiJIiwiaWQiOiIxIn0.9y1RuPEC-vuCuuYK-lTnww4AMo7-uKEWgw0iPaoQtmY";
        JWT jwt = shiroJwtUtil.parseToken(token);
        System.out.println(jwt);
        System.out.println(jwt.getPayload("id"));
        System.out.println(jwt.getPayloads().get("id"));
    }

    @Test
    void testVerify() {
        String token = "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJuYW1lIjoi5byg5LiJIiwiaWQiOiIxIn0.9y1RuPEC-vuCuuYK-lTnww4AMo7-uKEWgw0iPaoQtm";
        System.out.println(shiroJwtUtil.verify(token));
    }
}
